## libinovasdk 1.3.6

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)
project (libinovasdk)

set (INOVASDK_VERSION "1.3.6")
set (INOVASDK_SOVERSION "1")

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include (GNUInstallDirs)
include (InstallImported)

add_library (inovasdk SHARED IMPORTED)

set_target_properties (inovasdk PROPERTIES VERSION 1.3.6 SOVERSION 1)

if (UNIX AND NOT WIN32 AND NOT APPLE)

   if (CMAKE_SYSTEM_PROCESSOR MATCHES "armv+")
      set_property (TARGET inovasdk PROPERTY IMPORTED_LOCATION "libinovasdk.so.armv6")
   #elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "armv7l")
   #   set_property (TARGET inovasdk PROPERTY IMPORTED_LOCATION "libinovasdk.so.armv7")
   elseif (CMAKE_SYSTEM_PROCESSOR MATCHES "aarch64")
      set_property (TARGET inovasdk PROPERTY IMPORTED_LOCATION "libinovasdk.so.armv8")
   elseif (CMAKE_SIZEOF_VOID_P MATCHES "8")
      set_property (TARGET inovasdk PROPERTY IMPORTED_LOCATION "libinovasdk.so.x64")
   else ()
      set_property (TARGET inovasdk PROPERTY IMPORTED_LOCATION "libinovasdk.so.x86")
   endif ()

   # Install udev rules
   set (UDEVRULES_INSTALL_DIR "/lib/udev/rules.d" CACHE STRING "Base directory for udev rules")
   install (FILES 99-inovaplx.rules DESTINATION ${UDEVRULES_INSTALL_DIR})

endif ()

# Install header files
install (FILES inovasdk.h DESTINATION include/inovasdk)

# Install library
install_imported (TARGETS inovasdk DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== debian/changelog ===
libinovasdk (1.3.6-4) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058844)
    Thanks a lot to Chris for the patch!

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 07 Aug 2024 23:30:36 +0200

libinovasdk (1.3.6-3) unstable; urgency=medium

  * manual build on: i386 amd64 arm64
  * debian/control: limit all binary packages to certain architectures
                    (Closes: #1010724)
  * debian/control: use corret VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 14 May 2022 23:30:36 +0200

libinovasdk (1.3.6-2) unstable; urgency=medium

  * manual build on all architectures
  * debian/control: move to debian-astro
  * debian/control: update description

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jan 2022 10:30:36 +0100

libinovasdk (1.3.6-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 26 Dec 2021 17:44:16 +0000

=== debian/control ===
Source: libinovasdk
Section: non-free/libs
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, pkgconf
	, systemd-dev
	, zlib1g-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/libinovasdk
Vcs-Git: https://salsa.debian.org/debian-astro-team/libinovasdk.git

Package: libinovasdk1
Architecture: i386 amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libusb-1.0-0
Description: library for cameras made by i.Nova Technologies
 This package contains the SDK for i.Nova Technologies Cameras.
 .
 This package contains the library.

Package: libinovasdk-dev
Section: non-free/libdevel
Architecture: i386 amd64 arm64
Depends: libinovasdk1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: library for cameras made by i.Nova Technologies - development files
 This package contains the SDK for i.Nova Technologies Cameras.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export deb_udevdir = $(shell pkg-config --variable=udevdir udev)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUDEVRULES_INSTALL_DIR=$(deb_udevdir)/rules.d

override_dh_auto_install:
	find
	dh_auto_install
